Skip to main content
PATCH
/
folders
/
folder
Add or remove profiles from folder
curl --request PATCH \
  --url https://api.gologin.com/folders/folder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "My Folder",
  "profiles": [
    "60a763f86501b3aa69a5e5e5",
    "60a763f86501b3aa69a5e5e6"
  ],
  "action": "add"
}
'
import requests

url = "https://api.gologin.com/folders/folder"

payload = {
    "name": "My Folder",
    "profiles": ["60a763f86501b3aa69a5e5e5", "60a763f86501b3aa69a5e5e6"],
    "action": "add"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'My Folder',
    profiles: ['60a763f86501b3aa69a5e5e5', '60a763f86501b3aa69a5e5e6'],
    action: 'add'
  })
};

fetch('https://api.gologin.com/folders/folder', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

Name of the folder.

Example:

"My Folder"

profiles
string[]
required

List of profile IDs that you want to add or remove from the folder.

Example:
[
  "60a763f86501b3aa69a5e5e5",
  "60a763f86501b3aa69a5e5e6"
]
action
enum<string>
required

Action to perform with the profiles.

Available options:
add,
remove
Example:

"add"

Response

200 - undefined